petit nouveau

Avatar de l’utilisateur
nouvo09
Messages : 2159
Inscription : 20 octobre 2009, 08:14
Localisation : Paris, France

Re: petit nouveau

Message par nouvo09 » 01 avril 2017, 13:13

Dans le dépôt epel-testing.
C'est pas parce que c'est difficile qu'on ose pas,
c'est parce qu'on ose pas que c'est difficile !

Beta-Pictoris
Messages : 1017
Inscription : 07 janvier 2014, 21:48
Localisation : Angers, France

Re: petit nouveau

Message par Beta-Pictoris » 01 avril 2017, 13:49

trazomtg a écrit :---> Le paquet claws-mail-plugins-vcalendar.x86_64 0:3.11.1-5.el7 sera installé
--> Traitement de la dépendance : libicalvcal.so.0()(64bit) pour le paquet : claws-mail-plugins-vcalendar-3.11.1-5.el7.x86_64
--> Traitement de la dépendance : libicalss.so.0()(64bit) pour le paquet : claws-mail-plugins-vcalendar-3.11.1-5.el7.x86_64
--> Traitement de la dépendance : libical.so.0()(64bit) pour le paquet : claws-mail-plugins-vcalendar-3.11.1-5.el7.x86_64
---> Le paquet perl-Crypt-OpenSSL-Bignum.x86_64 0:0.04-18.el7 sera installé
---> Le paquet perl-Crypt-OpenSSL-Random.x86_64 0:0.04-21.el7 sera installé
---> Le paquet perl-Net-SMTP-SSL.noarch 0:1.01-13.el7 sera installé
--> Résolution des dépendances terminée
Erreur : Paquet : claws-mail-plugins-vcalendar-3.11.1-5.el7.x86_64 (epel-testing)
Requiert : libicalvcal.so.0()(64bit)
Erreur : Paquet : claws-mail-plugins-vcalendar-3.11.1-5.el7.x86_64 (epel-testing)
Requiert : libical.so.0()(64bit)
Erreur : Paquet : claws-mail-plugins-vcalendar-3.11.1-5.el7.x86_64 (epel-testing)
Requiert : libicalss.so.0()(64bit)
Essaye les paquets fedora 22 présents sur rpmfind : https://www.rpmfind.net/linux/rpm2html/ ... tem=&arch=

trazomtg
Messages : 157
Inscription : 19 juillet 2016, 13:27

Re: petit nouveau

Message par trazomtg » 02 avril 2017, 12:40

bonjour,

j'ai trouvé et installé certains plugins de Claws-mail mais je reste sur un problème:
j'ai telechargé et installé "clawsker" mais quand je le lance j'obtiens:

[root@CentOS-msi clawsker-1.1.0]# perl clawsker
Can't locate Glib.pm in @INC (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at clawsker line 21.
BEGIN failed--compilation aborted at clawsker line 21.


je ne sais pas ou obtenir les modules manquants.
une idée?
merci
T

Beta-Pictoris
Messages : 1017
Inscription : 07 janvier 2014, 21:48
Localisation : Angers, France

Re: petit nouveau

Message par Beta-Pictoris » 02 avril 2017, 14:21

As-tu installé le paquet perl-Glib ?

trazomtg
Messages : 157
Inscription : 19 juillet 2016, 13:27

Re: petit nouveau

Message par trazomtg » 02 avril 2017, 16:06

merci,
j'ai installe perl-glib et je n'ai plus cette erreur mais j'ai de nouveau une erreur à la ligne suivante:

[root@CentOS-msi clawsker-1.1.0]# perl clawsker
Can't locate Gtk2.pm in @INC (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at clawsker line 22.
BEGIN failed--compilation aborted at clawsker line 22.


j'aimerais savoir comment tu sais que le probleme venait de "perl-glib" car ici je ne sais pas ou trouver ce nouveau module.

j'ai lu un peu de doc et j'ai trouvé cette commande pour utiliser un paquet perl:
[root@CentOS-msi clawsker-1.1.0]# perl -e "use 'Gtk2.pm';"
syntax error at -e line 1, near "use 'Gtk2.pm'"
Execution of -e aborted due to compilation errors.


comme tu le voies j'ai une erreur de synthaxe et j'ai essayé plein de possibilités, sans résultat.
Merci pour ton aide

trazomtg
Messages : 157
Inscription : 19 juillet 2016, 13:27

Re: petit nouveau

Message par trazomtg » 02 avril 2017, 16:21

comment savoir dans quel paquet se trouve un module?
par exemple, ou trouver Gtk2.pm?
Merci
T.

Beta-Pictoris
Messages : 1017
Inscription : 07 janvier 2014, 21:48
Localisation : Angers, France

Re: petit nouveau

Message par Beta-Pictoris » 02 avril 2017, 17:22

Code : Tout sélectionner

yum provides */Gtk2.pm
repoquery -f */Gtk2.pm

trazomtg
Messages : 157
Inscription : 19 juillet 2016, 13:27

Re: petit nouveau

Message par trazomtg » 02 avril 2017, 17:49

super!!! merci beaucoup

j'ai trouve une autre commande pour examiner les .rpm présents dans un repertoire:
on se place dans le repertoire et on lance:

rpm -q -p -filesbypkg *.rpm | grep le_fichier
ou
rpm -qlp *.rpm|grep le_fichier

T.

Avatar de l’utilisateur
remi
Messages : 220
Inscription : 20 octobre 2009, 07:10
Localisation : Champagne...
Contact :

Re: petit nouveau

Message par remi » 02 avril 2017, 18:35

Si le paquet est installé.... plus rapide

Code : Tout sélectionner

rpm --query --file /chemin/du/fichier
rpm -qf /chemin/du/fichier
Contributeur EPEL et CentOS SCLo SIG
Des RPM pour CentOS sur https://rpms.remirepo.net

trazomtg
Messages : 157
Inscription : 19 juillet 2016, 13:27

Re: petit nouveau

Message par trazomtg » 02 avril 2017, 21:08

merci!!!

Répondre